version: '2.2'
services:
  postgres95:
    image: registry.yaltik.net/postgres:yaltik95
    environment:
      POSTGRES_USER: odoo
      POSTGRES_PASSWORD: somethingToChange
      PGDATA: /opt/odoo/pgdata

  postgres96:
    image: registry.yaltik.net/postgres:yaltik96
    environment:
      POSTGRES_USER: odoo
      POSTGRES_PASSWORD: somethingToChange
      PGDATA: /opt/odoo/pgdata

  odoo:
    init: true
    build: ./odoo
    image: registry.yaltik.net/odoo:yaltik8
    environment:
      DB_MAXCONN: 20
      XMLRPC_PORT: 8069
      LONGPOLLING_PORT: 8072
      WORKERS: 2
      LIMIT_TIME_CPU: 720
      LIMIT_TIME_REAL: 1440
      ADMIN_PASSWORD: somethingToChange
      LIST_DB: "False"
      POSTGRES_USER: odoo
      POSTGRES_PASSWORD: somethingToChange

  odoo9:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.9
    image: registry.yaltik.net/odoo:yaltik9
    environment:
      DB_MAXCONN: 20
      XMLRPC_PORT: 8069
      LONGPOLLING_PORT: 8072
      WORKERS: 2
      LIMIT_TIME_CPU: 720
      LIMIT_TIME_REAL: 1440
      ADMIN_PASSWORD: somethingToChange
      LIST_DB: "False"
      POSTGRES_USER: odoo
      POSTGRES_PASSWORD: somethingToChange

  odoo10:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.10
    image: registry.yaltik.net/odoo:yaltik10
    environment:
      DB_MAXCONN: 20
      XMLRPC_PORT: 8069
      LONGPOLLING_PORT: 8072
      WORKERS: 2
      LIMIT_TIME_CPU: 720
      LIMIT_TIME_REAL: 1440
      ADMIN_PASSWORD: somethingToChange
      LIST_DB: "False"
      POSTGRES_USER: odoo
      POSTGRES_PASSWORD: somethingToChange

  odoo11:
    init: true
    build:
      context: ./odoo
      dockerfile: Dockerfile.11
    image: registry.yaltik.net/odoo:yaltik11
    environment:
      DB_MAXCONN: 20
      XMLRPC_PORT: 8069
      LONGPOLLING_PORT: 8072
      WORKERS: 2
      LIMIT_TIME_CPU: 720
      LIMIT_TIME_REAL: 1440
      ADMIN_PASSWORD: somethingToChange
      LIST_DB: "False"
      POSTGRES_USER: odoo
      POSTGRES_PASSWORD: somethingToChange

  odoocmd:
    build:
      context: ./scripts
    image: registry.yaltik.net/odoocmd:yaltik

  odoobackup:
    build:
      context: ./backups
    image: registry.yaltik.net/odoobackup:yaltik
    environment:
      ODOO_HOST: odoo
      ODOO_ADMIN_PASSWORD: admin
      ODOO_DATABASES: base
